Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-eg-gpo-shared.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-eg-gpo-shared.rspec	(revision 1617)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-eg-gpo-shared.rspec	(revision 1617)
@@ -0,0 +1,31 @@
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.xml" version="0866827ee71324fbbe273c9e8f4f1c142a548e11" />
+    </sliver_type>
+    <interface client_id="VM-1:if0">
+   <ip address="10.42.11.15" netmask="255.255.0.0" />
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.xml" version="0866827ee71324fbbe273c9e8f4f1c142a548e11" />
+    </sliver_type>
+    <interface client_id="VM-2:if0">
+   <ip address="10.42.11.16" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-gpo-shared.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-gpo-shared.rspec	(revision 1617)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-gpo-shared.rspec	(revision 1617)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+Request for EG-EXP-6 experiment 1 request includes
+VM at the ExoGENI BBN Rack on shared site (OF) VLAN 1750
+
+AM: https://bbn-hn.exogeni.net:11443/orca/xmlrpc
+-->
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+  <node client_id="VM" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
+    </sliver_type>
+    <interface client_id="VM:if0">
+   <ip address="10.42.11.198" netmask="255.255.0.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <interface_ref client_id="VM:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-openflow-eg-gpo.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-openflow-eg-gpo.rspec	(revision 1617)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/EG-CT-4-openflow-eg-gpo.rspec	(revision 1617)
@@ -0,0 +1,40 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources in the BBN ExoGENI rack 
+
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site confirmation test at BBN ExoGENI."
+		   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="bbn-exogeni">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+datapath+00:64:08:17:f4:b5:2a:00" component_manager_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="bbn-exogeni" />
+
+      <openflow:packet>
+	<openflow:dl_vlan value="1750"/>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IC-CT-4-openflow-bbn.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IC-CT-4-openflow-bbn.rspec	(revision 1617)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IC-CT-4-openflow-bbn.rspec	(revision 1617)
@@ -0,0 +1,56 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- Request Rspec for Openflow at BBN Meso-scale site
+used in EG-EXP-6 experiment 3 
+NOTE: MUST BE RUN AFTER GPO PG Request to determine host port.
+
+AM: https://foam.gpolab.bbn.com:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="Sliver to allow BBNMeso, BBN ExoGENI, and Rutgers WAPG over 3716 "
+                   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+   <openflow:group name="bbn-1750-nodes">
+
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:24:a8:c4:b9:00"     
+                       component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am" 
+                       dpid="06:d6:00:24:a8:c4:b9:00">
+    <openflow:port name="9" num="33"/>
+    </openflow:datapath>
+  </openflow:group>
+
+    <openflow:group name="poblano-1750-nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port num="5"/>   <!-- to NLR 3716 -->
+        <openflow:port num="15"/>  <!-- to BBN ExoGENI rack -->
+        <openflow:port num="16"/>  <!-- to BBN InstaGENI rack -->
+        <openflow:port num="20"/>  <!-- to habanero -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="bbn-1750-nodes" />
+      <openflow:use-group name="poblano-1750-nlr-3716" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IG-CT-3.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IG-CT-3.rspec	(revision 1616)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IG-CT-3.rspec	(revision 1617)
@@ -6,14 +6,13 @@
        type="request">
 
-  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="VM-1:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
     <sliver_type name="emulab-openvz"/>
     <interface client_id="VM-2:if0">
-      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
-      <flack:interface_info addressUnset="false" bound="false"/>
-    </interface>
-  </node>
-  <node client_id="VM-3" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
-    <sliver_type name="emulab-openvz"/>
-    <interface client_id="VM-3:if0">
       <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
     </interface>
@@ -22,8 +21,8 @@
     <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
     <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="VM-1:if0"/>
     <interface_ref client_id="VM-2:if0"/>
-    <interface_ref client_id="VM-3:if0"/>
-    <property source_id="VM-2:if0" dest_id="VM-3:if0"/>
-    <property source_id="VM-3:if0" dest_id="VM-2:if0"/>
+    <property source_id="VM-1:if0" dest_id="VM-2:if0"/>
+    <property source_id="VM-2:if0" dest_id="VM-1:if0"/>
     <link_type name="gre-tunnel"/>
   </link>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IG-CT-4-ig-gpo.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IG-CT-4-ig-gpo.rspec	(revision 1616)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IG-CT-4-ig-gpo.rspec	(revision 1617)
@@ -17,5 +17,5 @@
     <sliver_type name="emulab-openvz" />
     <interface client_id="gpo-ig:if0">
-      <ip address="10.42.11.33" netmask="255.255.255.0" type="ipv4" />
+      <ip address="10.42.11.43" netmask="255.255.255.0" type="ipv4" />
     </interface>
   </node>
@@ -24,5 +24,5 @@
     <sliver_type name="emulab-openvz" />
     <interface client_id="gpo-ig2:if0">
-      <ip address="10.42.11.32" netmask="255.255.255.0" type="ipv4" />
+      <ip address="10.42.11.42" netmask="255.255.255.0" type="ipv4" />
     </interface>
   </node>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IG-CT-4-openflow-ig-gpo.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IG-CT-4-openflow-ig-gpo.rspec	(revision 1617)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IG-CT-4-openflow-ig-gpo.rspec	(revision 1617)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources in the InstaGENI rack 
+at Utah used by IG-CT-4 New Site Confirmation Test
+
+AM: https://foam.instageni.gpolab.bbn.com:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="bbn-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+datapath+06:d6:84:34:97:c6:c9:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+authority+am"  />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="bbn-instageni-1750" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
+
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IG-CT-4-openflow-ig-utah.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IG-CT-4-openflow-ig-utah.rspec	(revision 1617)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IG-CT-4-openflow-ig-utah.rspec	(revision 1617)
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources in the InstaGENI rack 
+at Utah used by IG-CT-4 New Site Confirmation Test
+
+AM: https://foam.utah.geniracks.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+
+    <openflow:group name="utah-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:ig-utah+datapath+06:d6:00:24:a8:5d:0b:00" 
+		         component_manager_id="urn:publicid:IDN+openflow:foam:ig-utah+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="utah-instageni-1750" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IG-CT-4-openflow-internet2.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IG-CT-4-openflow-internet2.rspec	(revision 1616)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IG-CT-4-openflow-internet2.rspec	(revision 1617)
@@ -19,34 +19,34 @@
 
     <openflow:group name="i2-3716">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:18:1b" 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 NEWY 3716 -->
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:18:58" 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:6f:e5" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 WASH 3716 -->
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:19:96" 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:6e" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 ATLA 3716 -->
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:1a:57" 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:81:42" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 HOUS 3716 -->
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:1b:93" 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:38" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 LOSA 3716 -->
     </openflow:group>
 
    <openflow:group name="I2-LOSA-1750-3716">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:06:d6:40:39:1b:93" 
-	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="00:00:06:d6:40:39:1b:93">
-        <openflow:port name="15" num="4"/>
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
+        <openflow:port name="15" num="15"/>
       </openflow:datapath>
     </openflow:group>
 
     <openflow:group name="UEN-1750">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:06:d6:40:39:1b:93" 
-	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="00:00:06:d6:40:39:1b:93">
-        <openflow:port name="12" num="2"/>
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
+        <openflow:port name="12" num="12"/>
       </openflow:datapath>
     </openflow:group>
 
     <openflow:group name="I2-ATLA-1750-3716">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:06:d6:40:39:19:96" 	
-	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="00:00:06:d6:40:39:19:96">
-        <openflow:port name="9" num="2"/>
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:6e" 	
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:6e">
+        <openflow:port name="9" num="9"/>
       </openflow:datapath>
     </openflow:group>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/EG-CT-4-eg-gpo-shared.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/EG-CT-4-eg-gpo-shared.rspec	(revision 1617)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/EG-CT-4-eg-gpo-shared.rspec	(revision 1617)
@@ -0,0 +1,31 @@
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.xml" version="0866827ee71324fbbe273c9e8f4f1c142a548e11" />
+    </sliver_type>
+    <interface client_id="VM-1:if0">
+   <ip address="10.42.11.15" netmask="255.255.0.0" />
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.xml" version="0866827ee71324fbbe273c9e8f4f1c142a548e11" />
+    </sliver_type>
+    <interface client_id="VM-2:if0">
+   <ip address="10.42.11.16" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/EG-CT-4-gpo-shared.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/EG-CT-4-gpo-shared.rspec	(revision 1617)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/EG-CT-4-gpo-shared.rspec	(revision 1617)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+Request for EG-EXP-6 experiment 1 request includes
+VM at the ExoGENI BBN Rack on shared site (OF) VLAN 1750
+
+AM: https://bbn-hn.exogeni.net:11443/orca/xmlrpc
+-->
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+  <node client_id="VM" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.5.xml" version="104ea3d824906f0e13cebb89b14df232290553b1 " /> 
+    </sliver_type>
+    <interface client_id="VM:if0">
+   <ip address="10.42.11.198" netmask="255.255.0.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <interface_ref client_id="VM:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/EG-CT-4-openflow-eg-gpo.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/EG-CT-4-openflow-eg-gpo.rspec	(revision 1617)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/EG-CT-4-openflow-eg-gpo.rspec	(revision 1617)
@@ -0,0 +1,40 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources in the BBN ExoGENI rack 
+
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site confirmation test at BBN ExoGENI."
+		   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="bbn-exogeni">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+datapath+00:64:08:17:f4:b5:2a:00" component_manager_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="bbn-exogeni" />
+
+      <openflow:packet>
+	<openflow:dl_vlan value="1750"/>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/IC-CT-4-openflow-bbn.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/IC-CT-4-openflow-bbn.rspec	(revision 1617)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/IC-CT-4-openflow-bbn.rspec	(revision 1617)
@@ -0,0 +1,56 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- Request Rspec for Openflow at BBN Meso-scale site
+used in EG-EXP-6 experiment 3 
+NOTE: MUST BE RUN AFTER GPO PG Request to determine host port.
+
+AM: https://foam.gpolab.bbn.com:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="Sliver to allow BBNMeso, BBN ExoGENI, and Rutgers WAPG over 3716 "
+                   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+   <openflow:group name="bbn-1750-nodes">
+
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:24:a8:c4:b9:00"     
+                       component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am" 
+                       dpid="06:d6:00:24:a8:c4:b9:00">
+    <openflow:port name="9" num="33"/>
+    </openflow:datapath>
+  </openflow:group>
+
+    <openflow:group name="poblano-1750-nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port num="5"/>   <!-- to NLR 3716 -->
+        <openflow:port num="15"/>  <!-- to BBN ExoGENI rack -->
+        <openflow:port num="16"/>  <!-- to BBN InstaGENI rack -->
+        <openflow:port num="20"/>  <!-- to habanero -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="bbn-1750-nodes" />
+      <openflow:use-group name="poblano-1750-nlr-3716" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/IG-CT-4-ig-gpo.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/IG-CT-4-ig-gpo.rspec	(revision 1617)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/IG-CT-4-ig-gpo.rspec	(revision 1617)
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will two VMs on VLAN 1750 at the InstaGENI rack at Utah,
+Only one node is used for IG-CT-4 New Site Confirmation Tests.
+AM: http://instageni.gpolab.bbn.com/protogeni/xmlrpc/am
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="gpo-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="gpo-ig:if0">
+      <ip address="10.42.11.43" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <node client_id="gpo-ig2" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="gpo-ig2:if0">
+      <ip address="10.42.11.42" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="gpo-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+  <link client_id="openflow-mesoscale-1">
+    <interface_ref client_id="gpo-ig2:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/IG-CT-4-openflow-ig-gpo.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/IG-CT-4-openflow-ig-gpo.rspec	(revision 1617)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/IG-CT-4-openflow-ig-gpo.rspec	(revision 1617)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources in the InstaGENI rack 
+at Utah used by IG-CT-4 New Site Confirmation Test
+
+AM: https://foam.instageni.gpolab.bbn.com:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="bbn-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+datapath+06:d6:84:34:97:c6:c9:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+authority+am"  />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="bbn-instageni-1750" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
+
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/IG-CT-4-openflow-ig-utah.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/IG-CT-4-openflow-ig-utah.rspec	(revision 1617)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/IG-CT-4-openflow-ig-utah.rspec	(revision 1617)
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources in the InstaGENI rack 
+at Utah used by IG-CT-4 New Site Confirmation Test
+
+AM: https://foam.utah.geniracks.net:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+
+    <openflow:group name="utah-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:ig-utah+datapath+06:d6:00:24:a8:5d:0b:00" 
+		         component_manager_id="urn:publicid:IDN+openflow:foam:ig-utah+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="utah-instageni-1750" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/IG-CT-4-openflow-internet2.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/IG-CT-4-openflow-internet2.rspec	(revision 1616)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Utah/IG-CT-4-openflow-internet2.rspec	(revision 1617)
@@ -19,34 +19,34 @@
 
     <openflow:group name="i2-3716">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:18:1b" 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 NEWY 3716 -->
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:18:58" 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:6f:e5" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 WASH 3716 -->
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:19:96" 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:6e" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 ATLA 3716 -->
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:1a:57" 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:81:42" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 HOUS 3716 -->
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:84:40:39:1b:93" 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:38" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 LOSA 3716 -->
     </openflow:group>
 
    <openflow:group name="I2-LOSA-1750-3716">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:06:d6:40:39:1b:93" 
-	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="00:00:06:d6:40:39:1b:93">
-        <openflow:port name="15" num="4"/>
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
+        <openflow:port name="15" num="15"/>
       </openflow:datapath>
     </openflow:group>
 
     <openflow:group name="UEN-1750">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:06:d6:40:39:1b:93" 
-	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="00:00:06:d6:40:39:1b:93">
-        <openflow:port name="12" num="2"/>
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
+        <openflow:port name="12" num="12"/>
       </openflow:datapath>
     </openflow:group>
 
     <openflow:group name="I2-ATLA-1750-3716">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:06:d6:40:39:19:96" 	
-	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="00:00:06:d6:40:39:19:96">
-        <openflow:port name="9" num="2"/>
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:6e" 	
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:6e">
+        <openflow:port name="9" num="9"/>
       </openflow:datapath>
     </openflow:group>
